Subject: Re: [PATCH 4/4] CodingGuidelines: recommend singular they

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Jun 2021 03:56:41 +0900

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> To futher justify singular "they" as an acceptable grammatical concept,
> I include the careful research of brian m. carlson who collected their
> thoughts on this matter [2] (lightly edited):

The use of "their" here I found going overboard, given that (1) it
is outside the topic of this change, where you are not referring to
a non-specific person, and (2) as Brian's siglines indicate, the
preferred pronouns for the particular person you are referring to is
"he/him or they/them".

> + When referring to an anonymous user, use singular "they/them" pronouns
> + as opposed to choosing between "he/him" and "she/her". Do not use more
> + complicated constructs such as "he or she" or "s/he". This recommendation
> + also applies to code comments and commit messages.

Short and sweet.